# API
The API system is intended for use with Desktop and Mobile clients.
It must be accessed using one of the following domains as the Host header:

```
admin.invalid
localhost.admin.daplie.me
```

All requests require an OAuth3 token in the request headers.

## Socks5 Proxy

### Check Status
  * **URL** `/api/goldilocks@daplie.com/socks5`
  * **Method** `GET`
  * **Response**: The returned object will have up to two values inside
    * `running`: boolean value to indicate if the proxy is currently active
    * `port`: if the proxy is running this is the port it's running on

### Start Proxy
  * **URL** `/api/goldilocks@daplie.com/socks5`
  * **Method** `POST`
  * **Response**: Same response as for the `GET` resquest

### Stop Proxy
  * **URL** `/api/goldilocks@daplie.com/socks5`
  * **Method** `DELETE`
  * **Response**: Same response as for the `GET` resquest
